Create a new customer with contact information and group assignment
cURL
curl --request POST \ --url https://integrations.clopos.com/open-api/v2/customers \ --header 'Content-Type: application/json' \ --header 'x-token: <api-key>' \ --data ' { "name": "John Doe" } '
{ "success": true, "data": { "id": "<string>", "name": "<string>", "email": "[email protected]", "phone": "<string>", "group_id": 123, "balance": { "id": 123, "amount": 123, "type": "<string>" }, "cashback_balance": { "id": 123, "amount": 123, "type": "<string>" }, "group": { "id": 123, "name": "<string>", "discount_type": "<string>", "discount_value": 123, "system_type": "<string>", "total_amount": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z" }, "created_at": "2023-11-07T05:31:56Z" }, "message": "<string>", "time": 123, "timestamp": "2023-11-07T05:31:56Z", "unix": 123 }
JWT access token obtained from /v2/auth endpoint
Customer details
"John Doe"
"[email protected]"
"+15551234567"
"CUST001"
"0f9654bc-9520-43d7-8109-317d9820f54c"
"Test Customer"
1
"1990-05-15"
Customer created successfully
Show child attributes
Was this page helpful?